/* 検索結果のハイライト */
.highlight {
  background-color: yellow;
  font-weight: bold;
}

.active-highlight {
  background-color: orange;
}

/* 検索フォーム */
.search-within-page-form {
  display: flex;
  align-items: center;
  font-size: 16px;
  position: relative;
  width: 100%;
  height: 44px;
  border: 1px solid #aaa;
  background-color: #fff;
  padding: 0;
  box-sizing: border-box;
  overflow: hidden;
}

.search-within-page-form__box {
  flex: 1 1 0;
  min-width: 0;
  border: none;
  height: 100%;
  margin-right: 2px;
  padding: 0 5px;
  box-sizing: border-box;
}

#searchButton,
#resetButton {
  width: 60px;
  min-width: 60px;
  flex-shrink: 0;
  height: 100%;
  cursor: pointer;
  border-left: 0.8px solid #fff;
  font-size: 1.2rem;
  color: #fff;
  background-color: #595652;
  outline: none;
}

#searchButton:hover,
#resetButton:hover {
  opacity: 0.6;
}

/* ナビゲーションボタン */
#nav-buttons {
  display: none;
  position: fixed;
  bottom: 120px;
  background-color: #fff;
  border: 1px solid #ccc;
  padding: 10px;
  z-index: 1000;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

#nav-buttons button:hover,
#nav-buttons button:active {
  font-weight: 600;
  color: #00a8e9;
}

/* フォーム全体はブロック表示 */
form.show-hide-switch {
  display: block;
  margin-bottom: 20px;
}

form.show-hide-switch .show-hide-switch__title {
  margin-bottom: 10px;
}

/* 各セクションコンテナ（例：すべて、異動、退職など）を縦に並べる */
form.show-hide-switch .show-hide-switch-all,
form.show-hide-switch .show-hide-switch-transfer,
form.show-hide-switch .show-hide-switch-retire {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 20px;
}

/* ラジオボタングループは横並び */
.radio-group {
  display: flex;
  align-items: center;
  margin: 0 10px 2px 0;
}

form.show-hide-switch input[type="radio"]+label {
  margin-left: 5px;
  cursor: pointer;
}

form label.show-hide-switch-button {
  font-size: 1.6rem;
  margin-right: 20px;
}

p.summary {
  font-size: 1.4rem;
}